<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="utf-8" />
    <title>選句 - オンライン選句</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css"
        integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous" />
    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"
        integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"
        integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"
        integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn"
        crossorigin="anonymous"></script>
    <meta content="width=device-width,initial-scale=1.0" name="viewport" />
    <link rel="stylesheet" href="/static/css/select.css?2" />
    <link href="https://fonts.googleapis.com/css?family=Noto+Serif+JP" rel="stylesheet">
</head>

<body style="padding: 10px; max-width: 500px;">
    <h1>%name%</h1>
    <p>評価のみ, コメントのみも可能です。</p>
    <p>終了後は"完了"を押して、そのままこのページを閉じてください。</p>
    <div id="app">
        <p>主催者より: {{comment}}</p>
        <div id="select">
            <div v-for="(obj,i) in json">
                <p class="big pointer mincho ku" @click="tooggleShow(i)">{{obj.ku}}</p>
                <div v-if="obj.show" class="open">
                    <select v-model="obj.point" @change="calcPt()" class="form-control">
                        <option value="0">評価なし</option>
                        <option value="1">評価する(0.5点)</option>
                        <option value="2">並選(1点)</option>
                        <option value="3">特選(2点)</option>
                    </select><br />
                    <textarea v-model="obj.comment" placeholder="コメント" class="form-control"></textarea>
                </div>
            </div>
        </div>

        <div id="spacer"></div>
        <div id="bottom">
            <div>
                0.5点: {{points[1]}}個 / 並: {{points[2]}}個 / 特: {{points[3]}}個
            </div>
            <button @click="post()" id="complete" class="btn btn-primary">完了</button>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.min.js"></script>
    <script>
        const app = new Vue({
            el: '#app',
            data() {
                return {
                    test: 'do',
                    json: null,
                    comment: null,
                    points: [0, 0, 0, 0],
                }
            },
            methods: {
                window: (onload = function () {
                    getHaiku()
                }),
                tooggleShow: function (i) {
                    const state = this.json[i].show
                    if (state) {
                        this.json[i].show = false
                    } else {
                        this.json[i].show = true
                    }
                },
                calcPt: function () {
                    const json = this.json
                    let one = 0
                    let two = 0
                    let three = 0
                    for (let i = 0; i < json.length; i++) {
                        if (json[i].point == 1) one++
                        if (json[i].point == 2) two++
                        if (json[i].point == 3) three++
                    }
                    this.points = [0, one, two, three]
                },
                post: function () {
                    const kukaiId = '%id%'
                    const httpreqd = new XMLHttpRequest()
                    const start = `/v1/online/estimate`
                    httpreqd.open('POST', start, true)
                    httpreqd.setRequestHeader('Content-Type', 'application/json')
                    httpreqd.responseType = 'json'
                    httpreqd.send(JSON.stringify({
                        id: kukaiId,
                        group: '%gr%',
                        token: localStorage.getItem('token'),
                        json: this.json
                    }))
                    httpreqd.onreadystatechange = function () {
                        if (httpreqd.readyState == 4) {
                            const raw = httpreqd.response
                            if (raw.success) alert('選をしました')
                            if (!raw.success) alert(raw.status)
                        }
                    }
                },
            },
        })
        function getHaiku() {
            if (!localStorage.getItem('token')) throw alert('ログイン情報がありません')
            const kukaiId = '%id%'
            const httpreqd = new XMLHttpRequest()
            const start = `/v1/online/select`
            httpreqd.open('POST', start, true)
            httpreqd.setRequestHeader('Content-Type', 'application/json')
            httpreqd.responseType = 'json'
            httpreqd.send(JSON.stringify({
                id: kukaiId,
                group: '%gr%',
                token: localStorage.getItem('token')
            }))
            httpreqd.onreadystatechange = function () {
                if (httpreqd.readyState == 4) {
                    const raw = httpreqd.response
                    app.json = raw.json
                    app.comment = raw.comment
                }
            }
        }
    </script>
</body>

</html>